
ROOT_DIR=$(dirname $(cd $(dirname $(readlink -f "$0"))/ && pwd))
VENV_DIR="${ROOT_DIR}"/venv
LOGS_DIR="${ROOT_DIR}"/logs

mkdir -p "${LOGS_DIR}"

# Local .env
load_env_file() {
  env_file=${1:-.env1}
  if [ -f "${env_file}" ]; then
    # Load Environment Variables
    source "${env_file}"
    echo "${env_file} is loaded"
  fi
}

# $1 the default python executable. Defaults to 'python3'
get_python_executable() {
  local default_python_executable=${1:-python3}
  read -r -p "Enter the path for python3 executable [${default_python_executable}]:" python_executable
  python_executable=${python_executable:-${default_python_executable}}
  echo "${python_executable}"
}

deleteVirtualEnv()
{
  echo "Deleting virtualenv in ${VENV_DIR}"
  if ! rm -rf "${VENV_DIR}"; then
    echo "Failed to delete ${VENV_DIR}"
    return 1
  fi
  return 0
}
